From 8cb1cf64950c32c8a12b35ff2b6cc2a694ac4ee2 Mon Sep 17 00:00:00 2001
From: Nick Drozd <nicholasdrozd@gmail.com>
Date: Thu, 29 Aug 2019 18:36:50 -0500
Subject: [PATCH] * doc/misc/ido.texi: Clean up text

---
 doc/misc/ido.texi | 58 +++++++++++++++++++++++------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

diff --git a/doc/misc/ido.texi b/doc/misc/ido.texi
index 29a204cf9e..419a59179a 100644
--- a/doc/misc/ido.texi
+++ b/doc/misc/ido.texi
@@ -108,7 +108,7 @@ Overview
 things with buffers and files.  All the features are described here
 in detail.
 
-The @dfn{Ido} package can let you switch between buffers and visit
+The @dfn{Ido} package lets you switch between buffers and visit
 files and directories with a minimum of keystrokes.  It is a superset
 of Iswitchb, the interactive buffer switching package by Stephen
 Eglen.
@@ -211,7 +211,7 @@ Interactive Substring Matching
 
 @noindent
 As you type in a substring, the list of buffers or files currently
-matching the substring are displayed as you type.  The list is
+matching the substring is displayed as you type.  The list is
 ordered so that the most recent buffers or files visited come at
 the start of the list.
 
@@ -240,12 +240,12 @@ Interactive Substring Matching
 Buffer: 2[3]@{123456 | 123@}
 @end example
 
-The list in @{...@} are the matching buffers, most recent first
-(buffers visible in the current frame are put at the end of the list
-by default).  At any time you can select the item at the head of the
-list by pressing @key{RET}.  You can also put the first element at the
-end of the list by pressing @kbd{C-s} or @kbd{<right>}, or bring the
-last element to the head of the list by pressing @kbd{C-r} or
+The items listed in @{...@} are the matching buffers, most recent
+first (buffers visible in the current frame are put at the end of the
+list by default).  At any time you can select the item at the head of
+the list by pressing @key{RET}.  You can also put the first element at
+the end of the list by pressing @kbd{C-s} or @kbd{<right>}, or bring
+the last element to the head of the list by pressing @kbd{C-r} or
 @kbd{<left>}.
 
 @findex ido-complete
@@ -287,7 +287,7 @@ Interactive Substring Matching
 There are no matching buffers.  If you press @key{RET} or @key{TAB},
 you can be prompted to create a new buffer called @file{234a}.
 
-Of course, where this function comes in really useful is when you can
+This function really comes in handy when you can
 specify the buffer using only a few keystrokes.  In the above example,
 the quickest way to get to the @file{123456} file would be just to
 type @kbd{4} and then @key{RET} (assuming there isn't any newer buffer
@@ -305,7 +305,7 @@ Interactive Substring Matching
 @kbd{<left>}, you can use @kbd{<up>} and @kbd{<down>} to quickly
 scroll the list to the next or previous subdirectory.
 
-To go down into a subdirectory, and continue the file selection on
+To go down into a subdirectory and continue the file selection on
 the files in that directory, simply move the directory to the head
 of the list and hit @key{RET}.
 
@@ -366,9 +366,9 @@ Prefix Matching
 @noindent
 The standard way of completion with *nix shells and Emacs is to insert
 a @dfn{prefix} and then hitting @key{TAB} (or another completion key).
-Cause of this behavior has become second nature to a lot of Emacs
-users Ido offers in addition to the default substring matching method
-(look above) also the prefix matching method.  The kind of matching is
+Because this behavior has become second nature to a lot of Emacs
+users, Ido offers in addition to the default substring matching method
+(see above) also the prefix matching method.  The kind of matching is
 the only difference to the description of the substring matching
 above.
 
@@ -425,7 +425,7 @@ Regexp Matching
 ido-mode using @code{ido-toggle-regexp}.
 @end defopt
 
-@strong{Please notice:} Ido-style completion is inhibited when you
+@strong{Note:} Ido-style completion is inhibited when you
 enable regexp matching.
 
 @node Highlighting
@@ -438,21 +438,21 @@ Highlighting
 @code{ido-use-faces}.  The faces used are @code{ido-first-match},
 @code{ido-only-match} and @code{ido-subdir}.
 
-Coloring of the matching item was suggested by Carsten Dominik.
+Coloring matching items was suggested by Carsten Dominik.
 
 @node Hidden Buffers and Files
 @chapter Hidden Buffers and Files
 @cindex hidden buffers and files
 
-Normally, Ido does not include hidden buffers (whose name starts with
-a space) and hidden files and directories (whose name starts with
+Normally, Ido does not include hidden buffers (whose names start with
+a space) and hidden files and directories (whose names start with
 @samp{.}) in the list of possible completions.  However, if the
 substring you enter does not match any of the visible buffers or
 files, Ido will automatically look for completions among the hidden
 buffers or files.
 
 @findex ido-toggle-ignore
-You can toggle display of the hidden buffers and files with @kbd{C-a}
+You can toggle the display of hidden buffers and files with @kbd{C-a}
 (@code{ido-toggle-ignore}).
 
 @c @deffn Command ido-toggle-ignore
@@ -515,7 +515,7 @@ Changing List Order
 (I find this handy for keeping the INBOX Summary and so on out of the
 way.)  It also moves files matching @samp{output\*$} to the end of the
 list (these are created by AUCTeX when compiling.)  Other functions
-could be made available which alter the list of matching files (either
+could be made available to alter the list of matching files (either
 deleting or rearranging elements.)
 
 @node Find File At Point
@@ -525,7 +525,7 @@ Find File At Point
 
 @noindent
 Find File At Point, also known generally as ``ffap'', is an
-intelligent system for opening files, and URLs.
+intelligent system for opening files and URLs.
 
 The following expression will make Ido guess the context:
 
@@ -551,8 +551,8 @@ Ignoring
 @cindex regexp, ignore buffers and files
 
 @noindent
-Ido is capable of ignoring buffers, directories, files and extensions
-using regular expression.
+Ido is capable of ignoring buffers, directories, files, and extensions
+using regular expressions.
 
 @defopt ido-ignore-buffers
 This variable takes a list of regular expressions for buffers to
@@ -588,9 +588,9 @@ Ignoring
 @vindex completion-ignored-extensions
 Now you can customize @code{completion-ignored-extensions} as well.
 Go ahead and add all the useless object files, backup files, shared
-library files and other computing flotsam you don't want Ido to show.
+library files, and other computing flotsam you don't want Ido to show.
 
-@strong{Please notice:} Ido will still complete the ignored elements
+@strong{Note:} Ido will still complete the ignored elements
 if it would otherwise not show any other matches.  So if you type out
 the name of an ignored file, Ido will still let you open it just fine.
 
@@ -718,7 +718,7 @@ Misc
 After @kbd{C-x b} (@code{ido-switch-buffer}), the buffer at the head
 of the list can be killed by pressing @kbd{C-k}.  If the buffer needs
 saving, you will be queried before the buffer is killed.  @kbd{C-S-b}
-buries the buffer at the head of the list.
+buries the buffer at the end of the list.
 
 Likewise, after @kbd{C-x C-f}, you can delete (i.e., physically
 remove) the file at the head of the list with @kbd{C-k}.  You will
@@ -726,8 +726,8 @@ Misc
 
 If you enter @kbd{C-x b} to switch to a buffer visiting a given file,
 and you find that the file you are after is not in any buffer, you can
-press @kbd{C-f} to immediately drop into @code{ido-find-file}.  And
-you can switch back to buffer selection with @kbd{C-b}.
+press @kbd{C-f} to immediately drop into @code{ido-find-file}.  You
+can switch back to buffer selection with @kbd{C-b}.
 
 @c @deffn Command ido-magic-forward-char
 @c @deffn Command ido-magic-backward-char
@@ -759,7 +759,7 @@ All Matching
 behavior, set the variable @code{ido-max-window-height}.
 
 Also, to improve the responsiveness of Ido, the maximum number of
-matching items is limited to 12, but you can increase or removed this
+matching items is limited to 12, but you can increase or remove this
 limit via the @code{ido-max-prospects} user option.
 
 @c @defopt ido-max-prospects
@@ -774,7 +774,7 @@ Replacement
 
 @noindent
 @code{ido-read-buffer} and @code{ido-read-file-name} have been written
-to be drop in replacements for the normal buffer and file name reading
+to be drop-in replacements for the normal buffer and file name reading
 functions @code{read-buffer} and @code{read-file-name}.
 
 To use ido for all buffer and file selections in Emacs, customize the
-- 
2.17.1

